import { URLString, } from "../primitives/index.js";
export class NativeCurrencyInformation {
    constructor(name, decimals, symbol, coinGeckoId) {
        this.name = name;
        this.decimals = decimals;
        this.symbol = symbol;
        this.coinGeckoId = coinGeckoId;
    }
}
export class ChainInformation {
    constructor(name, chainId, chain, chainTechnology, isDev, networkName, averageBlockMiningTime, nativeCurrency, type, explorerURL, getExplorerURL, etherscanEndpointURL, coinGeckoSlug) {
        this.name = name;
        this.chainId = chainId;
        this.chain = chain;
        this.chainTechnology = chainTechnology;
        this.isDev = isDev;
        this.networkName = networkName;
        this.averageBlockMiningTime = averageBlockMiningTime;
        this.nativeCurrency = nativeCurrency;
        this.type = type;
        this.explorerURL = explorerURL;
        this.getExplorerURL = getExplorerURL;
        this.etherscanEndpointURL = etherscanEndpointURL;
        this.coinGeckoSlug = coinGeckoSlug;
    }
}
export class ControlChainInformation extends ChainInformation {
    constructor(name, chainId, chain, chainTechnology, isDev, networkName, averageBlockMiningTime, nativeCurrency, type, explorerURL, consentFactoryContractAddress, governanceTokenContractAddress, questionnairesContractAddress, etherscanEndpointURL, coinGeckoSlug) {
        super(name, chainId, chain, chainTechnology, isDev, networkName, averageBlockMiningTime, nativeCurrency, type, explorerURL, function (txHash) {
            return explorerURL + txHash;
        }, etherscanEndpointURL ? URLString(etherscanEndpointURL) : undefined, coinGeckoSlug);
        this.name = name;
        this.chainId = chainId;
        this.chain = chain;
        this.chainTechnology = chainTechnology;
        this.isDev = isDev;
        this.networkName = networkName;
        this.averageBlockMiningTime = averageBlockMiningTime;
        this.nativeCurrency = nativeCurrency;
        this.type = type;
        this.explorerURL = explorerURL;
        this.consentFactoryContractAddress = consentFactoryContractAddress;
        this.governanceTokenContractAddress = governanceTokenContractAddress;
        this.questionnairesContractAddress = questionnairesContractAddress;
        this.etherscanEndpointURL = etherscanEndpointURL;
        this.coinGeckoSlug = coinGeckoSlug;
    }
}
//# sourceMappingURL=ChainInformation.js.map