import { BackupFileName, } from "../primitives/index.js";
export class DataWalletBackupHeader {
    constructor(hash, timestamp, priority, dataType, isField) {
        this.hash = hash;
        this.timestamp = timestamp;
        this.priority = priority;
        this.dataType = dataType;
        this.isField = isField;
    }
    get name() {
        const sanitized = this._sanitizeDataType(this.dataType);
        return BackupFileName(`${this.priority}_${sanitized}_${this.timestamp}_${this.hash}_${this.isField}`);
    }
    _sanitizeDataType(dataType) {
        return dataType.replace("_", "$");
    }
}
//# sourceMappingURL=DataWalletBackupHeader.js.map