export var EQuestionnaireStatus;
(function (EQuestionnaireStatus) {
    EQuestionnaireStatus[EQuestionnaireStatus["Available"] = 0] = "Available";
    EQuestionnaireStatus[EQuestionnaireStatus["Complete"] = 1] = "Complete";
})(EQuestionnaireStatus || (EQuestionnaireStatus = {}));
export var EQuestionnaireQuestionType;
(function (EQuestionnaireQuestionType) {
    EQuestionnaireQuestionType["MultipleChoice"] = "MultipleChoice";
    EQuestionnaireQuestionType["Location"] = "Location";
    EQuestionnaireQuestionType["Text"] = "Text";
    EQuestionnaireQuestionType["Numeric"] = "Numeric";
})(EQuestionnaireQuestionType || (EQuestionnaireQuestionType = {}));
export var EQuestionnaireQuestionDisplayType;
(function (EQuestionnaireQuestionDisplayType) {
    EQuestionnaireQuestionDisplayType["Dropdown"] = "Dropdown";
    EQuestionnaireQuestionDisplayType["List"] = "List";
    EQuestionnaireQuestionDisplayType["Scale"] = "Scale";
})(EQuestionnaireQuestionDisplayType || (EQuestionnaireQuestionDisplayType = {}));
export class Questionnaire {
    constructor(
    /**I
     * The questionnaire is uniquely identified by it's CID in IPFS. This is the primary key for
     * questionnaires.
     */
    id, // the location of the questionnaire in IPFS
    marketplaceTag, // The tag that
    status, title, description, image, 
    /// The questions are entirely part of the Questionnaire and not an independent object.
    questions) {
        this.id = id;
        this.marketplaceTag = marketplaceTag;
        this.status = status;
        this.title = title;
        this.description = description;
        this.image = image;
        this.questions = questions;
    }
}
export class QuestionnaireWithAnswers extends Questionnaire {
    constructor(id, marketplaceTag, status, title, description, image, questions, 
    // The answers are independent objects; they are included as part of the Questionnaire for
    // convenience, but they are not required to be included in the Questionnaire.
    answers, measurementTime) {
        super(id, marketplaceTag, status, title, description, image, questions);
        this.answers = answers;
        this.measurementTime = measurementTime;
    }
}
export class QuestionnaireQuestion {
    constructor(index, type, text, choices, minimum, maximum, displayType, multiSelect = false, required = false, lowerLabel = null, upperLabel = null) {
        this.index = index;
        this.type = type;
        this.text = text;
        this.choices = choices;
        this.minimum = minimum;
        this.maximum = maximum;
        this.displayType = displayType;
        this.multiSelect = multiSelect;
        this.required = required;
        this.lowerLabel = lowerLabel;
        this.upperLabel = upperLabel;
    }
}
export class NewQuestionnaireAnswer {
    constructor(questionnaireId, questionIndex, choice) {
        this.questionnaireId = questionnaireId;
        this.questionIndex = questionIndex;
        this.choice = choice;
    }
}
export class QuestionnaireAnswer extends NewQuestionnaireAnswer {
    constructor(questionnaireId, questionIndex, choice) {
        super(questionnaireId, questionIndex, choice);
        this.questionnaireId = questionnaireId;
        this.questionIndex = questionIndex;
        this.choice = choice;
    }
}
//# sourceMappingURL=Questionnaire.js.map