import { WalletNFT } from "../businessObjects/WalletNFT.js";
import { EChainTechnology } from "../enum/index.js";
export class SolanaCollection {
    constructor(address, verified) {
        this.address = address;
        this.verified = verified;
    }
}
export class SolanaNFT extends WalletNFT {
    constructor(chain, owner, mint, collection, metadataUri, isMutable, primarySaleHappened, sellerFeeBasisPoints, updateAuthority, tokenStandard, symbol, name, amount, measurementDate) {
        super(EChainTechnology.Solana, chain, owner, mint, name, amount, measurementDate);
        this.chain = chain;
        this.owner = owner;
        this.mint = mint;
        this.collection = collection;
        this.metadataUri = metadataUri;
        this.isMutable = isMutable;
        this.primarySaleHappened = primarySaleHappened;
        this.sellerFeeBasisPoints = sellerFeeBasisPoints;
        this.updateAuthority = updateAuthority;
        this.tokenStandard = tokenStandard;
        this.symbol = symbol;
        this.name = name;
        this.amount = amount;
        this.measurementDate = measurementDate;
    }
}
//# sourceMappingURL=SolanaNFT.js.map