import { ETimePeriods } from "../../enum/index.js";
export class TransactionFlowInsight {
    constructor(chainId, day, week, month, year, measurementTime) {
        this.chainId = chainId;
        this.day = day;
        this.week = week;
        this.month = month;
        this.year = year;
        this.measurementTime = measurementTime;
    }
    static additionOfMetrics(instance, newFlow) {
        TransactionFlowInsight.addNewTransactionMetrics(instance, ETimePeriods.Day, newFlow.day);
        TransactionFlowInsight.addNewTransactionMetrics(instance, ETimePeriods.Week, newFlow.week);
        TransactionFlowInsight.addNewTransactionMetrics(instance, ETimePeriods.Month, newFlow.month);
        TransactionFlowInsight.addNewTransactionMetrics(instance, ETimePeriods.Year, newFlow.year);
    }
    static addNewTransactionMetrics(instance, time, newMetrics) {
        switch (true) {
            case time === ETimePeriods.Day:
                TransactionFlowInsight.transactionMetricsAddition(instance.day, newMetrics);
                break;
            case time === ETimePeriods.Week:
                TransactionFlowInsight.transactionMetricsAddition(instance.week, newMetrics);
                break;
            case time === ETimePeriods.Month:
                TransactionFlowInsight.transactionMetricsAddition(instance.month, newMetrics);
                break;
            case time === ETimePeriods.Year:
                TransactionFlowInsight.transactionMetricsAddition(instance.year, newMetrics);
        }
    }
    static transactionMetricsAddition(instance, newMetrics) {
        instance.incomingCount += newMetrics.incomingCount;
        instance.incomingNativeValue += newMetrics.incomingNativeValue;
        instance.outgoingCount += newMetrics.outgoingCount;
        instance.outgoingNativeValue += newMetrics.outgoingNativeValue;
    }
}
//# sourceMappingURL=TransactionFlowInsight.js.map