import { VersionedObject, VersionedObjectMigrator, } from "../../businessObjects/versioned/VersionedObject.js";
export class AdSignature extends VersionedObject {
    constructor(consentContractAddress, queryCID, adKey, signature) {
        super();
        this.consentContractAddress = consentContractAddress;
        this.queryCID = queryCID;
        this.adKey = adKey;
        this.signature = signature;
    }
    getVersion() {
        return AdSignature.CURRENT_VERSION;
    }
}
AdSignature.CURRENT_VERSION = 1;
export class AdSignatureMigrator extends VersionedObjectMigrator {
    getCurrentVersion() {
        return AdSignature.CURRENT_VERSION;
    }
    factory(data) {
        return new AdSignature(data.consentContractAddress, data.queryCID, data.adKey, data.signature);
    }
    getUpgradeFunctions() {
        return new Map();
    }
}
//# sourceMappingURL=AdSignature.js.map