import { RSAKeyPair } from "../../businessObjects/RSAKeyPair.js";
import { VersionedObject, VersionedObjectMigrator } from "../../businessObjects/versioned/VersionedObject.js";
import { DomainName, UUID } from "../../primitives/index.js";
import { PropertiesOf } from "../../utilities";
export declare class DomainCredential extends VersionedObject {
    domain: DomainName;
    id: UUID;
    key: RSAKeyPair;
    static CURRENT_VERSION: number;
    constructor(domain: DomainName, id: UUID, key: RSAKeyPair);
    getVersion(): number;
}
export declare class DomainCredentialMigrator extends VersionedObjectMigrator<DomainCredential> {
    getCurrentVersion(): number;
    protected factory(data: PropertiesOf<DomainCredential>): DomainCredential;
    protected getUpgradeFunctions(): Map<number, (data: Record<string, unknown>, version: number) => Record<string, unknown>>;
}
//# sourceMappingURL=DomainCredential.d.ts.map