import { RSAKeyPair } from "../../businessObjects/RSAKeyPair.js";
import { VersionedObject, VersionedObjectMigrator, } from "../../businessObjects/versioned/VersionedObject.js";
export class DomainCredential extends VersionedObject {
    constructor(domain, id, key) {
        super();
        this.domain = domain;
        this.id = id;
        this.key = key;
    }
    getVersion() {
        return DomainCredential.CURRENT_VERSION;
    }
}
DomainCredential.CURRENT_VERSION = 1;
export class DomainCredentialMigrator extends VersionedObjectMigrator {
    getCurrentVersion() {
        return DomainCredential.CURRENT_VERSION;
    }
    factory(data) {
        return new DomainCredential(data.domain, data.id, new RSAKeyPair(data.key.privateKey, data.key.publicKey));
    }
    getUpgradeFunctions() {
        return new Map();
    }
}
//# sourceMappingURL=DomainCredential.js.map