import { VersionedObject, VersionedObjectMigrator, } from "../../businessObjects/versioned/VersionedObject.js";
export class EligibleAd extends VersionedObject {
    constructor(consentContractAddress, queryCID, key, // 'a1'
    name, content, text, displayType, weight, expiry, keywords) {
        super();
        this.consentContractAddress = consentContractAddress;
        this.queryCID = queryCID;
        this.key = key;
        this.name = name;
        this.content = content;
        this.text = text;
        this.displayType = displayType;
        this.weight = weight;
        this.expiry = expiry;
        this.keywords = keywords;
    }
    getUniqueId() {
        return this.queryCID + this.key;
    }
    getVersion() {
        return EligibleAd.CURRENT_VERSION;
    }
}
EligibleAd.CURRENT_VERSION = 1;
export class EligibleAdMigrator extends VersionedObjectMigrator {
    getCurrentVersion() {
        return EligibleAd.CURRENT_VERSION;
    }
    factory(data) {
        return new EligibleAd(data.consentContractAddress, data.queryCID, data.key, data.name, data.content, data.text, data.displayType, data.weight, data.expiry, data.keywords);
    }
    getUpgradeFunctions() {
        return new Map();
    }
}
//# sourceMappingURL=EligibleAd.js.map