import { VersionedObject, VersionedObjectMigrator, } from "../../businessObjects/versioned/VersionedObject.js";
export class LinkedAccountMigrator extends VersionedObjectMigrator {
    getCurrentVersion() {
        return LinkedAccount.CURRENT_VERSION;
    }
    factory(data) {
        return new LinkedAccount(data.sourceChain, data.sourceAccountAddress);
    }
    getUpgradeFunctions() {
        return new Map();
    }
}
export class LinkedAccount extends VersionedObject {
    constructor(sourceChain, sourceAccountAddress) {
        super();
        this.sourceChain = sourceChain;
        this.sourceAccountAddress = sourceAccountAddress;
    }
    getVersion() {
        return LinkedAccount.CURRENT_VERSION;
    }
}
LinkedAccount.CURRENT_VERSION = 1;
//# sourceMappingURL=LinkedAccount.js.map