import { EVMTransaction } from "../../businessObjects/versioned/EVMTransaction.js";
export var EPolygonTransactionType;
(function (EPolygonTransactionType) {
    EPolygonTransactionType[EPolygonTransactionType["ERC20"] = 0] = "ERC20";
    EPolygonTransactionType[EPolygonTransactionType["ERC721"] = 1] = "ERC721";
    EPolygonTransactionType[EPolygonTransactionType["ERC1155"] = 2] = "ERC1155";
})(EPolygonTransactionType || (EPolygonTransactionType = {}));
export class PolygonTransaction extends EVMTransaction {
    constructor(chainId, hash, timestamp, blockHeight, to, from, value, gasPrice, contractAddress, tokenId, type, measurementDate) {
        super(chainId, hash, timestamp, blockHeight, to, from, value, gasPrice, contractAddress, null, null, null, null, measurementDate);
        this.chainId = chainId;
        this.hash = hash;
        this.timestamp = timestamp;
        this.blockHeight = blockHeight;
        this.to = to;
        this.from = from;
        this.value = value;
        this.gasPrice = gasPrice;
        this.contractAddress = contractAddress;
        this.tokenId = tokenId;
        this.type = type;
        this.measurementDate = measurementDate;
    }
}
//# sourceMappingURL=PolygonTransaction.js.map