import { VersionedObject, VersionedObjectMigrator } from "../../businessObjects/versioned/VersionedObject.js";
import { PropertiesOf, QuestionnaireAnswer } from "../../index";
import { SHA256Hash, UnixTimestamp } from "../../primitives/index.js";
export declare class QuestionnaireHistory extends VersionedObject {
    id: SHA256Hash;
    measurementDate: UnixTimestamp;
    answer: PropertiesOf<QuestionnaireAnswer["choice"]>;
    static CURRENT_VERSION: number;
    constructor(id: SHA256Hash, measurementDate: UnixTimestamp, answer: PropertiesOf<QuestionnaireAnswer["choice"]>);
    getVersion(): number;
}
export declare class QuestionnaireHistoryMigrator extends VersionedObjectMigrator<QuestionnaireHistory> {
    getCurrentVersion(): number;
    protected factory(data: PropertiesOf<QuestionnaireHistory>): QuestionnaireHistory;
    protected getUpgradeFunctions(): Map<number, (data: Record<string, unknown>, version: number) => Record<string, unknown>>;
}
//# sourceMappingURL=QuestionnaireHistoryMigrator.d.ts.map