import { VersionedObject, VersionedObjectMigrator, } from "../../businessObjects/versioned/VersionedObject.js";
export class ReceivingAccount extends VersionedObject {
    constructor(contractAddress, receivingAddress) {
        super();
        this.contractAddress = contractAddress;
        this.receivingAddress = receivingAddress;
    }
    getVersion() {
        return ReceivingAccount.CURRENT_VERSION;
    }
}
ReceivingAccount.CURRENT_VERSION = 1;
export class ReceivingAccountMigrator extends VersionedObjectMigrator {
    getCurrentVersion() {
        return ReceivingAccount.CURRENT_VERSION;
    }
    factory(data) {
        return new ReceivingAccount(data.contractAddress, data.receivingAddress);
    }
    getUpgradeFunctions() {
        return new Map();
    }
}
//# sourceMappingURL=ReceivingAccount.js.map