import { VersionedObject, VersionedObjectMigrator, } from "../../businessObjects/versioned/VersionedObject.js";
/**
 * This represents an invitation that has been rejected- either temporarily or permanently
 */
export class RejectedInvitation extends VersionedObject {
    constructor(consentContractAddress, rejectUntil) {
        super();
        this.consentContractAddress = consentContractAddress;
        this.rejectUntil = rejectUntil;
    }
    getVersion() {
        return RejectedInvitation.CURRENT_VERSION;
    }
}
RejectedInvitation.CURRENT_VERSION = 1;
export class RejectedInvitationMigrator extends VersionedObjectMigrator {
    getCurrentVersion() {
        return RejectedInvitation.CURRENT_VERSION;
    }
    factory(data) {
        return new RejectedInvitation(data.consentContractAddress, data.rejectUntil);
    }
    getUpgradeFunctions() {
        return new Map([]);
    }
}
//# sourceMappingURL=RejectedInvitation.js.map