import { VersionedObject, VersionedObjectMigrator, } from "../../businessObjects/versioned/VersionedObject.js";
export class RestoredBackup extends VersionedObject {
    constructor(id, storageKey) {
        super();
        this.id = id;
        this.storageKey = storageKey;
    }
    getVersion() {
        return RestoredBackup.CURRENT_VERSION;
    }
}
RestoredBackup.CURRENT_VERSION = 1;
export class RestoredBackupMigrator extends VersionedObjectMigrator {
    getCurrentVersion() {
        return RestoredBackup.CURRENT_VERSION;
    }
    factory(data) {
        return new RestoredBackup(data.id, data.storageKey);
    }
    getUpgradeFunctions() {
        return new Map();
    }
}
//# sourceMappingURL=RestoredBackup.js.map