import { VersionedObject, VersionedObjectMigrator, } from "../../businessObjects/versioned/VersionedObject.js";
/**
 * Represents a visit to a particular Url
 */
export class SiteVisit extends VersionedObject {
    constructor(url, startTime, endTime) {
        super();
        this.url = url;
        this.startTime = startTime;
        this.endTime = endTime;
    }
    getVersion() {
        return SiteVisit.CURRENT_VERSION;
    }
}
SiteVisit.CURRENT_VERSION = 1;
export class SiteVisitMigrator extends VersionedObjectMigrator {
    getCurrentVersion() {
        return SiteVisit.CURRENT_VERSION;
    }
    factory(data) {
        return new SiteVisit(data.url, data.startTime, data.endTime);
    }
    getUpgradeFunctions() {
        return new Map();
    }
}
//# sourceMappingURL=SiteVisit.js.map