import { TokenAddress } from "../../businessObjects/TokenAddress.js";
import { VersionedObject, VersionedObjectMigrator } from "../../businessObjects/versioned/VersionedObject.js";
import { EChain } from "../../enum/index.js";
import { TickerSymbol } from "../../primitives/index.js";
import { PropertiesOf } from "../../utilities/index.js";
export declare class TokenInfo extends VersionedObject {
    id: string;
    symbol: TickerSymbol;
    name: string;
    chain: EChain;
    address: TokenAddress | null;
    decimals?: number | undefined;
    static CURRENT_VERSION: number;
    constructor(id: string, symbol: TickerSymbol, name: string, chain: EChain, address: TokenAddress | null, decimals?: number | undefined);
    getVersion(): number;
}
export declare class TokenInfoMigrator extends VersionedObjectMigrator<TokenInfo> {
    getCurrentVersion(): number;
    protected factory(data: PropertiesOf<TokenInfo>): TokenInfo;
    protected getUpgradeFunctions(): Map<number, (data: Record<string, unknown>, version: number) => Record<string, unknown>>;
}
//# sourceMappingURL=TokenInfo.d.ts.map