import { VersionedObject, VersionedObjectMigrator, } from "../../businessObjects/versioned/VersionedObject.js";
export class TokenInfo extends VersionedObject {
    constructor(id, symbol, name, chain, address, decimals) {
        super();
        this.id = id;
        this.symbol = symbol;
        this.name = name;
        this.chain = chain;
        this.address = address;
        this.decimals = decimals;
    }
    getVersion() {
        return TokenInfo.CURRENT_VERSION;
    }
}
TokenInfo.CURRENT_VERSION = 1;
export class TokenInfoMigrator extends VersionedObjectMigrator {
    getCurrentVersion() {
        return TokenInfo.CURRENT_VERSION;
    }
    factory(data) {
        return new TokenInfo(data.id, data.symbol, data.name, data.chain, data.address, data.decimals);
    }
    getUpgradeFunctions() {
        return new Map();
    }
}
//# sourceMappingURL=TokenInfo.js.map