import { BaseError } from "../errors/BaseError.js";
import errorCodes from "../errors/errorCodes.js";
/**
 * This error should be returned by a method when the calling parameters are invalid or nonsensical.
 * This is not used for blockchain method cases; see InvalidArgumentError for that.
 */
export class InvalidParametersError extends BaseError {
    constructor(message, src) {
        super(message, 500, errorCodes[InvalidParametersError.name], src, false);
        this.src = src;
        this.errorCode = errorCodes[InvalidParametersError.name];
    }
}
//# sourceMappingURL=InvalidParametersError.js.map